Subject: Re: [Cbor] new types like ip address/mac ...

From: Ravi R <[email-masked]>
Date: Mon, 8 Jan 2018 19:58:58 +0000 (UTC)

<resending> If this is the wrong place to post this - please reply, so i will know..
    On Thursday, January 4, 2018, 6:14:36 PM PST, Ravi R <[email-masked]> wrote:  
 
 Hi,      What would be your recommendation if I want to add custom data types – like IP Address, MAC address etc ?? Would you recommend creating a TAG type for each of the custom data types ?? Also, I have another question – I am considering using CBOR format for log file format (logging will be in Binary Format) – so that it is extremely fast. There is a problem with this though if the log files are written to a file and that file could be “log rotated”. The log rotation will terminate the file and there could be that a single CBOR object spans across two files. If there is a decode attempt on the file with second half of a CBOR object, then everything can get skewed – because the type etc are in the previous file. So, I am thinking of adding some sort of BEGIN or END of record indicators – so that one can recover from a faulty decoding. Please let me know your thoughts on both of these items.
Thanks!